-- Script containing customer specific table definitions. These tables are used in the common AAFM aaxx.sql file.
-- (c) 2005-2007 Dijkoraad IT bv
-- $Revision$
-- $Id$
--
-- Support: +31 53 4800700

SPOOL aa_tables.lst
SET ECHO ON


CREATE TABLE AAXX_IMP_CONTRACT
(
  VOLGORDE           NUMBER(8),
  GEBOUW             VARCHAR2(100 BYTE),
  LEVERANCIER        VARCHAR2(100 BYTE),
  LEVERANCIERNUMMER  VARCHAR2(100 BYTE),
  BESCHRIJVING       VARCHAR2(100 BYTE),
  VAN                DATE,
  TOT                DATE,
  OMSCHRIJVING       VARCHAR2(2048 BYTE),
  BEDRAG             NUMBER(10,2),
  DIENST             VARCHAR2(100 BYTE),
  CONTRACTSOORT      VARCHAR2(100 BYTE),
  CONTRACTNUMMER     VARCHAR2(100 BYTE),
  VERSIE             VARCHAR2(10 BYTE),
  VOLGNUMMER         NUMBER(10),
  CONTRACTAFDELING   VARCHAR2(100 BYTE),
  CONTRACTBEHEERDER  VARCHAR2(100 BYTE)
);

CREATE TABLE AAXX_EXP_EXACT_VERKOOP
(
  RESULT        VARCHAR2(1000 BYTE),
  RESULT_ORDER  VARCHAR2(100 BYTE)
);

CREATE TABLE AAXX_EXP_FACTUUR
(
  FIN_FACTUUR_KEY  NUMBER(10),
  ADMINISTRATIE    VARCHAR2(30)
);

CREATE TABLE AAXX_IMP_SRTRUIMTE
(
  ALG_SRTRUIMTE_KEY           NUMBER(10),
  ALG_SRTRUIMTE_OMSCHRIJVING  VARCHAR2(30 BYTE),
  ALG_SRTRUIMTE_CODE          VARCHAR2(10 BYTE),
  PRS_BEVAT_WERKPLEK          NUMBER(1),
  PRS_VERHUURBAAR             NUMBER(1),
  ALG_SRTRUIMTE_PRIJS         NUMBER(11,5),
  ALG_SRTRUIMTE_PRIJS2        NUMBER(11,5),
  ALG_SRTRUIMTE_PRIJS3        NUMBER(11,5),
  ALG_SRTRUIMTE_PRIJS4        NUMBER(11,5),
  ALG_SRTRUIMTE_PRIJS5        NUMBER(11,5)
);

CREATE TABLE AAXX_IMP_UPLIFT
(
  JAAR                 NUMBER(4),
  MAAND                NUMBER(2),
  PRS_KOSTENSOORT_OMS  VARCHAR2(60),
  SOORT_ORDER          VARCHAR2(60),
  PRS_BEDRIJF_NAAM     VARCHAR2(60),
  PRS_LEVERANCIER_NR   VARCHAR2(30),
  UPLIFT               NUMBER(8,5)
);

CREATE TABLE AAXX_VERKOOPBUFFER
(
  MODULE                         VARCHAR2(3),
  EXPORT_DATUM                   DATE,
  PRS_KOSTENPLAATS_NR            VARCHAR2(100),
  PRS_KOSTENPLAATS_OMSCHRIJVING  VARCHAR2(100),
  PRS_KOSTENSOORT_OMS            VARCHAR2(100),
  PRS_KOSTENSOORT_OPMERKING      VARCHAR2(100),
  PRS_KOSTENSOORT_REFCODE        VARCHAR2(100),
  PRS_KOSTENSOORTGRP_OMS         VARCHAR2(60) ,
  OMSCHRIJVING                   VARCHAR2(100),
  BEDRAG                         NUMBER(12,2),
  BTW                            NUMBER(5,2),
  FIN_BTWTABELWAARDE_CODE        VARCHAR2(10),
  EXACT_CODE_GEBOUW              VARCHAR2(10),
  NAAR_EXACT                     DATE,
  OPDR_JAAR                      VARCHAR2(4)
);


CREATE TABLE AAXX_PERSLID_LOGIN
(
  PRS_PERSLID_KEY  NUMBER(10),
  LOGIN_DATUM      DATE
);

CREATE TABLE aaxx_imp_opdrstat_strukton
(
   mld_opdr_key    NUMBER (10),
   extern_nummer   VARCHAR2 (100),
   status          NUMBER (10),
   datumtijd       DATE,
   opmerking       VARCHAR2 (1000)
);

UPDATE fin_btwtabelwaarde SET fin_btwtabelwaarde_code = '4' WHERE fin_btwtabelwaarde_perc = 19;
UPDATE fin_btwtabelwaarde SET fin_btwtabelwaarde_code = '2' WHERE fin_btwtabelwaarde_perc = 6;
UPDATE fin_btwtabelwaarde SET fin_btwtabelwaarde_code = '0' WHERE fin_btwtabelwaarde_perc = 0;

BEGIN adm.systrackscriptId('$Id$'); END;
/


COMMIT;

SPOOL OFF
